Skip to main content
GET
/
whoami
Together AI SDK (v2)
from together import Together

client = Together()
identity = client.whoami()
print(identity)
import Together from "together-ai";

const client = new Together();
const identity = await client.whoami();
console.log(identity);
import Together from "together-ai";

const client = new Together();
const identity = await client.whoami();
console.log(identity);
curl https://api.together.ai/v1/whoami \
-H "Authorization: Bearer $TOGETHER_API_KEY"


{
  "api_key_id": "<string>",
  "project_id": "<string>",
  "project_name": "<string>",
  "project_slug": "<string>",
  "organization_id": "<string>",
  "organization_name": "<string>"
}
{
"error": {
"message": "<string>",
"type": "<string>",
"param": null,
"code": null
}
}
{
"error": {
"message": "<string>",
"type": "<string>",
"param": null,
"code": null
}
}

Authorizations

Authorization
string
header
default:default
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

API key identity information

api_key_id
string
required

The ID of the API key that authenticated the request.

project_id
string
required

The ID of the project the API key is scoped to.

project_name
string
required

Human-readable name of the project.

project_slug
string
required

DNS-friendly project identifier. Used with an endpoint slug as <project_slug>/<endpoint_slug> to form the model value in dedicated endpoint inference calls.

organization_id
string
required

The ID of the organization that owns the project.

organization_name
string
required

Human-readable name of the organization.